Subject: Re: opengl, glut, and many syntax errors
From: [email-masked] (Mumit Khan)

19 Feb 1998 04:31:20 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Mumit Khan <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

On Tue, 17 Feb 1998 [email-masked] wrote:

> I'm trying to compile a c++ program that uses the header files
>     glut.h
>     glu.h
>     gl.h

[...]

> 
> These syntax errors occur in lines in gl.h and glu.h that has the word
> "APIENTRY" in them.  For example....
>      WINGDIAPI void APIENTRY glAccum (GLenum op, GLfloat value);
> (from line 1135 in gl.h)
> 

I have submitted fixes for these in the C++ parser, but I doubt if these
will make into the release tree anytime soon. Email me for patches if
you're interested. 

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".